NodeTool.NodeToolCmd (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.tools

## Class NodeTool.NodeToolCmd

- java.lang.Object
- - org.apache.cassandra.tools.NodeTool.NodeToolCmd

- All Implemented Interfaces:
    java.lang.Runnable
  Direct Known Subclasses:
    NodeTool.CfHistograms, NodeTool.CfStats, NodeTool.Cleanup, NodeTool.ClearSnapshot, NodeTool.Compact, NodeTool.CompactionHistory, NodeTool.CompactionStats, NodeTool.Decommission, NodeTool.DescribeCluster, NodeTool.DescribeRing, NodeTool.DisableAutoCompaction, NodeTool.DisableBackup, NodeTool.DisableBinary, NodeTool.DisableGossip, NodeTool.DisableHandoff, NodeTool.DisableThrift, NodeTool.Drain, NodeTool.EnableAutoCompaction, NodeTool.EnableBackup, NodeTool.EnableBinary, NodeTool.EnableGossip, NodeTool.EnableHandoff, NodeTool.EnableThrift, NodeTool.Flush, NodeTool.GcStats, NodeTool.GetCompactionThreshold, NodeTool.GetCompactionThroughput, NodeTool.GetEndpoints, NodeTool.GetLoggingLevels, NodeTool.GetSSTables, NodeTool.GetStreamThroughput, NodeTool.GossipInfo, NodeTool.Info, NodeTool.InvalidateCounterCache, NodeTool.InvalidateKeyCache, NodeTool.InvalidateRowCache, NodeTool.Join, NodeTool.ListSnapshots, NodeTool.Move, NodeTool.NetStats, NodeTool.PauseHandoff, NodeTool.ProxyHistograms, NodeTool.RangeKeySample, NodeTool.Rebuild, NodeTool.RebuildIndex, NodeTool.Refresh, NodeTool.ReloadTriggers, NodeTool.RemoveNode, NodeTool.RemoveToken, NodeTool.Repair, NodeTool.ResetLocalSchema, NodeTool.ResumeHandoff, NodeTool.Ring, NodeTool.Scrub, NodeTool.SetCacheCapacity, NodeTool.SetCacheKeysToSave, NodeTool.SetCompactionThreshold, NodeTool.SetCompactionThroughput, NodeTool.SetHintedHandoffThrottleInKB, NodeTool.SetLoggingLevel, NodeTool.SetStreamThroughput, NodeTool.SetTraceProbability, NodeTool.Snapshot, NodeTool.Status, NodeTool.StatusBinary, NodeTool.StatusThrift, NodeTool.Stop, NodeTool.StopDaemon, NodeTool.TpStats, NodeTool.TruncateHints, NodeTool.UpgradeSSTable, NodeTool.Version
  Enclosing class:
    NodeTool

      public abstract static class NodeTool.NodeToolCmd
      extends java.lang.Object
      implements java.lang.Runnable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeTool.NodeToolCmd()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `execute(NodeProbe probe)`
    `protected java.lang.String[]` | `parseOptionalColumnFamilies(java.util.List<java.lang.String> cmdArgs)`
    `protected java.util.List<java.lang.String>` | `parseOptionalKeyspace(java.util.List<java.lang.String> cmdArgs, NodeProbe nodeProbe)`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeTool.NodeToolCmd

          public NodeTool.NodeToolCmd()

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### execute

          protected abstract void execute(NodeProbe probe)

    - #### parseOptionalKeyspace

          protected java.util.List<java.lang.String> parseOptionalKeyspace(java.util.List<java.lang.String> cmdArgs,
                                                               NodeProbe nodeProbe)

    - #### parseOptionalColumnFamilies

          protected java.lang.String[] parseOptionalColumnFamilies(java.util.List<java.lang.String> cmdArgs)

Copyright © 2014 The Apache Software Foundation